Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicSplitPaneUI.PropertyHandler

    java.lang.Object
      javax.swing.plaf.basic.BasicSplitPaneUI.PropertyHandler

All Implemented Interfaces:
  PropertyChangeListener, EventListener

Enclosing class:
  BasicSplitPaneUI

    public class BasicSplitPaneUI.PropertyHandler

extends Object
implements PropertyChangeListener

Implementation of the PropertyChangeListener that the JSplitPane UI uses.

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicSplitPaneUI.

Constructor Summary
`BasicSplitPaneUI.PropertyHandler()`

Method Summary
`void` | `propertyChange(PropertyChangeEvent e)` Messaged from the `JSplitPane` the receiver is contained in.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicSplitPaneUI.PropertyHandler

    public BasicSplitPaneUI.PropertyHandler()

Method Detail

### propertyChange

    public void propertyChange(PropertyChangeEvent e)

  Messaged from the `JSplitPane` the receiver is contained in. May potentially reset the layout manager and cause a `validate` to be sent.

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`
  Parameters:
    `e` - A PropertyChangeEvent object describing the event source and the property that has changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.